Bug 107167

Summary: [editors/openoffice.org-2] OpenOffice-2.1 Base crashes after saving data in new database
Product: Ports & Packages Reporter: User1001 <supraexpress>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
smime.p7s none

Description User1001 2006-12-24 09:00:39 UTC

Note: this same problem happened with OO-2.0.3

1) Create new database (register, define fields)
2) OPEN new database (for data entry)
3) Insert/enter one (or more) row(s) of data
4) Save data
5) Verify saved data in temporary files on /var/tmp
6) Verify data save via KTRACE
7) CLOSE database editing window
8) "crash and burn"
9) verified via KTRACE that OObase read the saved data prior to crash

 11233 soffice.bin NAMI  "/usr/local/jdk1.5.0/jre/lib/i386/libzip.so"
 11233 soffice.bin RET   stat 0
 11233 soffice.bin CALL  gettimeofday(0xbfbfc768,0)
 11233 soffice.bin RET   gettimeofday 0
 11233 soffice.bin CALL  clock_gettime(0,0xbfbfcf14)
 11233 soffice.bin RET   clock_gettime 0
 11233 soffice.bin CALL  mmap(0,0x20000,0x3,0x1002,0xffffffff,0,0,0)
 11233 soffice.bin RET   mmap 1025916928/0x3d264000
 11233 soffice.bin CALL  read(0x2e,0x3d264010,0x10000)
 11233 soffice.bin GIO   fd 46 read 224 bytes

         [data block from entered data]

 11233 soffice.bin RET   read 224/0xe0
 11233 soffice.bin CALL  munmap(0x3d264000,0x20000)
 11233 soffice.bin RET   munmap 0
 11233 soffice.bin CALL  write(0x2f,0x2e324a18,0x2)
 11233 soffice.bin GIO   fd 47 wrote 2 bytes
       0x0000 7801                                               |x.|

 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  mmap(0,0x20000,0x3,0x1002,0xffffffff,0,0,0)
 11233 soffice.bin RET   mmap 1025916928/0x3d264000
 11233 soffice.bin CALL  read(0x2e,0x3d264010,0x10000)
 11233 soffice.bin GIO   fd 46 read 0 bytes
       ""
 11233 soffice.bin RET   read 0
 11233 soffice.bin CALL  munmap(0x3d264000,0x20000)
 11233 soffice.bin RET   munmap 0
 11233 soffice.bin CALL  fcntl(0x2e,0x8,0xbfbfcec0)
 11233 soffice.bin RET   fcntl 0
 11233 soffice.bin CALL  close(0x2e)
 11233 soffice.bin RET   close 0
 11233 soffice.bin PSIG  SIGSEGV caught handler=0x291025af mask=0xfffefaff code=0xc
11233 soffice.bin CALL  sigaction(0xb,0xbfbfc500,0)
 11233 soffice.bin RET   sigaction 0
 11233 soffice.bin CALL  sigaction(0xa,0xbfbfc500,0)
 11233 soffice.bin RET   sigaction 0
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0x2)
 11233 soffice.bin GIO   fd 1 wrote 2 bytes
       "#
       "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0x44)
 11233 soffice.bin GIO   fd 1 wrote 68 bytes
       "# An unexpected error has been detected by HotSpot Virtual Machine:
       "
 11233 soffice.bin RET   write 68/0x44
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0x2)
 11233 soffice.bin GIO   fd 1 wrote 2 bytes
       "#
       "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x1,0x2f0f5c45,0x3)
 11233 soffice.bin GIO   fd 1 wrote 3 bytes
       "#  "
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0x7)
 11233 soffice.bin GIO   fd 1 wrote 7 bytes
       "SIGSEGV"
 11233 soffice.bin RET   write 7
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0x6)
 11233 soffice.bin GIO   fd 1 wrote 6 bytes
       " (0xb)"
 11233 soffice.bin RET   write 6
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0x11)
 11233 soffice.bin GIO   fd 1 wrote 17 bytes
       " at pc=0x298a9d25"
 11233 soffice.bin RET   write 17/0x11
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0xb)
 11233 soffice.bin GIO   fd 1 wrote 11 bytes
       ", pid=11233"
 11233 soffice.bin RET   write 11/0xb
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0xf)
 11233 soffice.bin GIO   fd 1 wrote 15 bytes
       ", tid=0x8098000"
 11233 soffice.bin RET   write 15/0xf
 11233 soffice.bin CALL  write(0x1,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 1 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0x2)
 11233 soffice.bin GIO   fd 1 wrote 2 bytes
       "#
       "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x1,0xbfbfbcd0,0x53)
 11233 soffice.bin GIO   fd 1 wrote 83 bytes
       "# Java VM: Java HotSpot(TM) Client VM (1.5.0-p3-<UID>_21_sep_2006_22_14 mixed mod\
        e)
       "
 11233 soffice.bin RET   write 83/0x53
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0x15)
 11233 soffice.bin GIO   fd 1 wrote 21 bytes
       "# Problematic frame:
       "
 11233 soffice.bin RET   write 21/0x15
 11233 soffice.bin CALL  write(0x1,0x2f0e118b,0x2)
 11233 soffice.bin GIO   fd 1 wrote 2 bytes
       "# "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x1,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 1 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x1,0xbfbfbc90,0x14)
 11233 soffice.bin GIO   fd 1 wrote 20 bytes
       "  [libz.so.3+0x8d25]"
 11233 soffice.bin RET   write 20/0x14
 11233 soffice.bin CALL  write(0x1,0xbfbfbc90,0x13)
 11233 soffice.bin GIO   fd 1 wrote 19 bytes
       "  deflateCopy+0xaf3"
 11233 soffice.bin RET   write 19/0x13
 11233 soffice.bin CALL  write(0x1,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 1 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x1,0xbfbfbce0,0x2)
 11233 soffice.bin GIO   fd 1 wrote 2 bytes
       "#
       "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  open(0x2f12f6e0,0x601,0x1b6)
 11233 soffice.bin NAMI  "hs_err_pid11233.log"
 11233 soffice.bin RET   open 46/0x2e
 11233 soffice.bin CALL  write(0x1,0x2f0f60b0,0x39)
 11233 soffice.bin GIO   fd 1 wrote 57 bytes
       "# An error report file with more information is saved as "
 11233 soffice.bin RET   write 57/0x39
 11233 soffice.bin CALL  write(0x1,0x2f12f6e0,0x13)
 11233 soffice.bin GIO   fd 1 wrote 19 bytes
       "hs_err_pid11233.log"     ***** this file not located *****
 11233 soffice.bin RET   write 19/0x13
 11233 soffice.bin CALL  write(0x1,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 1 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "#
       "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x44)
 11233 soffice.bin GIO   fd 46 wrote 68 bytes
       "# An unexpected error has been detected by HotSpot Virtual Machine:
       "
 11233 soffice.bin RET   write 68/0x44
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "#
       "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0f5c45,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "#  "
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x7)
 11233 soffice.bin GIO   fd 46 wrote 7 bytes
       "SIGSEGV"
 11233 soffice.bin RET   write 7
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x6)
 11233 soffice.bin GIO   fd 46 wrote 6 bytes
       " (0xb)"
 11233 soffice.bin RET   write 6
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x11)
 11233 soffice.bin GIO   fd 46 wrote 17 bytes
       " at pc=0x298a9d25"
 11233 soffice.bin RET   write 17/0x11
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0xb)
 11233 soffice.bin GIO   fd 46 wrote 11 bytes
       ", pid=11233"
 11233 soffice.bin RET   write 11/0xb
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0xf)
 11233 soffice.bin GIO   fd 46 wrote 15 bytes
       ", tid=0x8098000"
 11233 soffice.bin RET   write 15/0xf
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "#
       "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcd0,0x53)
 11233 soffice.bin GIO   fd 46 wrote 83 bytes
       "# Java VM: Java HotSpot(TM) Client VM (1.5.0-p3-<UID>_21_sep_2006_22_14 mixed mod\
        e)
       "
 11233 soffice.bin RET   write 83/0x53
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x15)
 11233 soffice.bin GIO   fd 46 wrote 21 bytes
       "# Problematic frame:
       "
 11233 soffice.bin RET   write 21/0x15
 11233 soffice.bin CALL  write(0x2e,0x2f0e118b,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "# "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x14)
 11233 soffice.bin GIO   fd 46 wrote 20 bytes
       "  [libz.so.3+0x8d25]"
 11233 soffice.bin RET   write 20/0x14
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x13)
 11233 soffice.bin GIO   fd 46 wrote 19 bytes
       "  deflateCopy+0xaf3"
 11233 soffice.bin RET   write 19/0x13
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "#
       "
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x2e)
 11233 soffice.bin GIO   fd 46 wrote 46 bytes
       "---------------  T H R E A D  ---------------
       "
 11233 soffice.bin RET   write 46/0x2e
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x1e)
 11233 soffice.bin GIO   fd 46 wrote 30 bytes
       "Current thread (0x089c1e00):  "
 11233 soffice.bin RET   write 30/0x1e
 11233 soffice.bin CALL  write(0x2e,0x2f0f2bf6,0xb)
 11233 soffice.bin GIO   fd 46 wrote 11 bytes
       "JavaThread "
 11233 soffice.bin RET   write 11/0xb
 11233 soffice.bin CALL  write(0x2e,0x2f0e8301,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       """
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbca0,0xc)
 11233 soffice.bin GIO   fd 46 wrote 12 bytes
       "Thread-2770""
 11233 soffice.bin RET   write 12/0xc
 11233 soffice.bin CALL  write(0x2e,0x2f0f2c02,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       " ["
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0xbfbfbca0,0x11)
 11233 soffice.bin GIO   fd 46 wrote 17 bytes
       "_thread_in_native"
 11233 soffice.bin RET   write 17/0x11
 11233 soffice.bin RET   write 17/0x11
 11233 soffice.bin CALL  write(0x2e,0xbfbfbca0,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       ", id=134840320"
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0x2f0f2b01,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "]"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0ed708,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "siginfo:"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0xb)
 11233 soffice.bin GIO   fd 46 wrote 11 bytes
       "si_signo=11"
 11233 soffice.bin RET   write 11/0xb
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0xc)
 11233 soffice.bin GIO   fd 46 wrote 12 bytes
       ", si_errno=0"
 11233 soffice.bin RET   write 12/0xc
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0xc)
 11233 soffice.bin GIO   fd 46 wrote 12 bytes
       ", si_code=12"
 11233 soffice.bin RET   write 12/0xc
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x14)
 11233 soffice.bin GIO   fd 46 wrote 20 bytes
       ", si_addr=0x00000000"
 11233 soffice.bin RET   write 20/0x14
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0xb)
 11233 soffice.bin GIO   fd 46 wrote 11 bytes
       "Registers:
       "
 11233 soffice.bin RET   write 11/0xb
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "EAX=0x00000000"
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x10)
 11233 soffice.bin GIO   fd 46 wrote 16 bytes
       ", EBX=0x298b11c4"
 11233 soffice.bin RET   write 16/0x10
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x10)
 11233 soffice.bin GIO   fd 46 wrote 16 bytes
       ", ECX=0x08652000"
 11233 soffice.bin RET   write 16/0x10
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x10)
 11233 soffice.bin GIO   fd 46 wrote 16 bytes
       ", EDX=0x00000000"
 11233 soffice.bin RET   write 16/0x10
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "ESP=0xbfbfcf40"
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x10)
 11233 soffice.bin GIO   fd 46 wrote 16 bytes
       ", EBP=0xbfbfcf98"
 11233 soffice.bin RET   write 16/0x10
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x10)
 11233 soffice.bin GIO   fd 46 wrote 16 bytes
       ", ESI=0x00000000"
 11233 soffice.bin RET   write 16/0x10
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x10)
 11233 soffice.bin GIO   fd 46 wrote 16 bytes
       ", EDI=0x00000000"
 11233 soffice.bin RET   write 16/0x10
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "EIP=0x298a9d25"
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x13)
 11233 soffice.bin GIO   fd 46 wrote 19 bytes
       ", EFLAGS=0x00010246"
 11233 soffice.bin RET   write 19/0x13
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x1e)
 11233 soffice.bin GIO   fd 46 wrote 30 bytes
       "Top of Stack: (sp=0xbfbfcf40)
       "
 11233 soffice.bin RET   write 30/0x1e
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0xbfbfcf40:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "089c1e00"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "0842ab80"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "bfbfcf68"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "2f01bed1"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0xbfbfcf50:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "0842abe8"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "089c1e00"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "bfbfcf78"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "00000000"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0xbfbfcf60:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "00000000"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "08664000"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "bfbfcfd8"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "2ef66de3"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0xbfbfcf70:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "38090758"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "089c1ebc"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "bfbfcfd8"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "2ef66cde"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0xbfbfcf80:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "089c1ebc"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "340a7f30"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "00000000"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "298b11c4"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0xbfbfcf90:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "08652000"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "00000000"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "bfbfcfd8"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "298a81b6"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0xbfbfcfa0:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "08652000"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "00000004"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "089c1e00"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "0842e424"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0xbfbfcfb0:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "089c1e00"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "2f117334"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "00000000"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x8)
 11233 soffice.bin GIO   fd 46 wrote 8 bytes
       "000000b4"
 11233 soffice.bin RET   write 8
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbcb0,0x1e)
 11233 soffice.bin GIO   fd 46 wrote 30 bytes
       "Instructions: (pc=0x298a9d25)
       "
 11233 soffice.bin RET   write 30/0x1e
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0x298a9d15:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "89"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "f0"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "8b"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "b6"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "a0"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "16"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "00"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "00"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "89"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "c1"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "8b"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "80"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "a4"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "16"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "00"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "00"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0xe)
 11233 soffice.bin GIO   fd 46 wrote 14 bytes
       "0x298a9d25:   "
 11233 soffice.bin RET   write 14/0xe
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "66"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "c7"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "04"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "70"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "00"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "00"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "8b"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "81"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "98"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "16"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "00"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "00"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "88"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "14"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "06"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc70,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "0f"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0e39a5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       " "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f5cd4,0x7)
 11233 soffice.bin GIO   fd 46 wrote 7 bytes
       "Stack: "
 11233 soffice.bin RET   write 7
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x17)
 11233 soffice.bin GIO   fd 46 wrote 23 bytes
       "[0xbfa00000,0xbfc00000)"
 11233 soffice.bin RET   write 23/0x17
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x10)
 11233 soffice.bin GIO   fd 46 wrote 16 bytes
       ",  sp=0xbfbfcf40"
 11233 soffice.bin RET   write 16/0x10
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x13)
 11233 soffice.bin GIO   fd 46 wrote 19 bytes
       ",  free space=2035k"
 11233 soffice.bin RET   write 19/0x13
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbce0,0x50)
 11233 soffice.bin GIO   fd 46 wrote 80 bytes
       "Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
       "
 11233 soffice.bin RET   write 80/0x50
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x14)
 11233 soffice.bin GIO   fd 46 wrote 20 bytes
       "  [libz.so.3+0x8d25]"
 11233 soffice.bin RET   write 20/0x14
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x13)
 11233 soffice.bin GIO   fd 46 wrote 19 bytes
       "  deflateCopy+0xaf3"
 11233 soffice.bin RET   write 19/0x13
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x14)
 11233 soffice.bin GIO   fd 46 wrote 20 bytes
       "  [libz.so.3+0x71b6]"
 11233 soffice.bin RET   write 20/0x14
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0xf)
 11233 soffice.bin GIO   fd 46 wrote 15 bytes
       "  deflate+0x15d"
 11233 soffice.bin RET   write 15/0xf
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x14)
 11233 soffice.bin GIO   fd 46 wrote 20 bytes
       "  [libzip.so+0x3b9c]"
 11233 soffice.bin RET   write 20/0x14
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x30)
 11233 soffice.bin GIO   fd 46 wrote 48 bytes
       "  Java_java_util_zip_Deflater_deflateBytes+0x3ec"
 11233 soffice.bin RET   write 48/0x30
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x2d)
 11233 soffice.bin GIO   fd 46 wrote 45 bytes
       "j  java.util.zip.Deflater.deflateBytes([BII)I"
 11233 soffice.bin RET   write 45/0x2d
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x2)
 11233 soffice.bin GIO   fd 46 wrote 2 bytes
       "+0"
 11233 soffice.bin RET   write 2
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x28)
 11233 soffice.bin GIO   fd 46 wrote 40 bytes
       "j  java.util.zip.Deflater.deflate([BII)I"
 11233 soffice.bin RET   write 40/0x28
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+40"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x30)
 11233 soffice.bin GIO   fd 46 wrote 48 bytes
       "j  java.util.zip.DeflaterOutputStream.deflate()V"
 11233 soffice.bin RET   write 48/0x30
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+14"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x2f)
 11233 soffice.bin GIO   fd 46 wrote 47 bytes
       "j  java.util.zip.DeflaterOutputStream.finish()V"
 11233 soffice.bin RET   write 47/0x2f
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+28"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x6d)
 11233 soffice.bin GIO   fd 46 wrote 109 bytes
       "j  org.hsqldb.lib.ZipUnzipFile.compressFile(Ljava/lang/String;Ljava/lang/String;\
        Lorg/hsqldb/lib/FileAccess;)V"
 11233 soffice.bin RET   write 109/0x6d
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x4)
 11233 soffice.bin GIO   fd 46 wrote 4 bytes
 11233 soffice.bin RET   write 4
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x2d)
 11233 soffice.bin GIO   fd 46 wrote 45 bytes
       "j  org.hsqldb.persist.DataFileCache.backup()V"
 11233 soffice.bin RET   write 45/0x2d
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+33"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x31)
 11233 soffice.bin GIO   fd 46 wrote 49 bytes
       "j  org.hsqldb.persist.DataFileCache.postClose(Z)V"
 11233 soffice.bin RET   write 49/0x31
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+96"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x28)
 11233 soffice.bin GIO   fd 46 wrote 40 bytes
       "j  org.hsqldb.persist.Log.checkpoint(Z)V"
 11233 soffice.bin RET   write 40/0x28
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x4)
 11233 soffice.bin GIO   fd 46 wrote 4 bytes
       "+110"
 11233 soffice.bin RET   write 4
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x2b)
 11233 soffice.bin GIO   fd 46 wrote 43 bytes
       "j  org.hsqldb.persist.Logger.checkpoint(Z)V"
 11233 soffice.bin RET   write 43/0x2b
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+29"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3d)
 11233 soffice.bin GIO   fd 46 wrote 61 bytes
       "j  org.hsqldb.DatabaseCommandInterpreter.processCheckpoint()V"
 11233 soffice.bin RET   write 61/0x3d
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+74"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x5c)
 11233 soffice.bin GIO   fd 46 wrote 92 bytes
       "j  org.hsqldb.DatabaseCommandInterpreter.executePart(ILjava/lang/String;)Lorg/hs\
        qldb/Result;"
 11233 soffice.bin RET   write 92/0x5c
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x4)
 11233 soffice.bin GIO   fd 46 wrote 4 bytes
       "+755"
 11233 soffice.bin RET   write 4
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x57)
 11233 soffice.bin GIO   fd 46 wrote 87 bytes
       "j  org.hsqldb.DatabaseCommandInterpreter.execute(Ljava/lang/String;)Lorg/hsqldb/\
        Result;"
 11233 soffice.bin RET   write 87/0x57
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+84"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x58)
 11233 soffice.bin GIO   fd 46 wrote 88 bytes
       "j  org.hsqldb.Session.sqlExecuteDirectNoPreChecks(Ljava/lang/String;)Lorg/hsqldb\
        /Result;"
 11233 soffice.bin RET   write 88/0x58
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+12"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x45)
 11233 soffice.bin GIO   fd 46 wrote 69 bytes
       "j  org.hsqldb.Session.execute(Lorg/hsqldb/Result;)Lorg/hsqldb/Result;"
 11233 soffice.bin RET   write 69/0x45
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x4)
 11233 soffice.bin GIO   fd 46 wrote 4 bytes
       "+221"
 11233 soffice.bin RET   write 4
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x41)
 11233 soffice.bin GIO   fd 46 wrote 65 bytes
       "j  org.hsqldb.jdbc.jdbcStatement.fetchResult(Ljava/lang/String;)V"
 11233 soffice.bin RET   write 65/0x41
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+52"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3d)
 11233 soffice.bin GIO   fd 46 wrote 61 bytes
       "j  org.hsqldb.jdbc.jdbcStatement.execute(Ljava/lang/String;)Z"
 11233 soffice.bin RET   write 61/0x3d
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x3)
 11233 soffice.bin GIO   fd 46 wrote 3 bytes
       "+13"
 11233 soffice.bin RET   write 3
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1b)
 11233 soffice.bin GIO   fd 46 wrote 27 bytes
       "v  ~StubRoutines::call_stub"
 11233 soffice.bin RET   write 27/0x1b
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0fa4a0,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "V"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x16)
 11233 soffice.bin GIO   fd 46 wrote 22 bytes
       "  [libjvm.so+0x2557b8]"
 11233 soffice.bin RET   write 22/0x16
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0fa4a0,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "V"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x16)
 11233 soffice.bin GIO   fd 46 wrote 22 bytes
       "  [libjvm.so+0x344c68]"
 11233 soffice.bin RET   write 22/0x16
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0fa4a0,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "V"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x16)
 11233 soffice.bin GIO   fd 46 wrote 22 bytes
       "  [libjvm.so+0x2558cf]"
 11233 soffice.bin RET   write 22/0x16
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0fa4a0,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "V"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x16)
 11233 soffice.bin GIO   fd 46 wrote 22 bytes
       "  [libjvm.so+0x26101b]"
 11233 soffice.bin RET   write 22/0x16
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0fa4a0,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "V"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x16)
 11233 soffice.bin GIO   fd 46 wrote 22 bytes
       "  [libjvm.so+0x262a5c]"
 11233 soffice.bin RET   write 22/0x16
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x17)
 11233 soffice.bin GIO   fd 46 wrote 23 bytes
       "  [libjdbc2.so+0x14af1]"
 11233 soffice.bin RET   write 23/0x17
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0x4919"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x17)
 11233 soffice.bin GIO   fd 46 wrote 23 bytes
       "  [libjdbc2.so+0x3da19]"
 11233 soffice.bin RET   write 23/0x17
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0xa)
 11233 soffice.bin GIO   fd 46 wrote 10 bytes
       "  +0x2d841"
 11233 soffice.bin RET   write 10/0xa
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x19)
 11233 soffice.bin GIO   fd 46 wrote 25 bytes
       "  [libhsqldb2.so+0x22c4a]"
 11233 soffice.bin RET   write 25/0x19
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x48)
 11233 soffice.bin GIO   fd 46 wrote 72 bytes
       "  Java_com_sun_star_sdbcx_comp_hsqldb_NativeStorageAccess_readInt+0xae92"
 11233 soffice.bin RET   write 72/0x48
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x19)
 11233 soffice.bin GIO   fd 46 wrote 25 bytes
       "  [libgcc3_uno.so+0x53fc]"
 11233 soffice.bin RET   write 25/0x19
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0x3184"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x19)
 11233 soffice.bin GIO   fd 46 wrote 25 bytes
       "  [libgcc3_uno.so+0x570e]"
 11233 soffice.bin RET   write 25/0x19
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0x3496"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x19)
 11233 soffice.bin GIO   fd 46 wrote 25 bytes
       "  [libgcc3_uno.so+0x5aad]"
 11233 soffice.bin RET   write 25/0x19
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0x3835"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1a)
 11233 soffice.bin GIO   fd 46 wrote 26 bytes
       "  [proxyfac.uno.so+0x3407]"
 11233 soffice.bin RET   write 26/0x1a
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x24)
 11233 soffice.bin GIO   fd 46 wrote 36 bytes
       "  component_getDescriptionFunc+0x483"
 11233 soffice.bin RET   write 36/0x24
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1a)
 11233 soffice.bin GIO   fd 46 wrote 26 bytes
       "  [proxyfac.uno.so+0x3407]"
 11233 soffice.bin RET   write 26/0x1a
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x24)
 11233 soffice.bin GIO   fd 46 wrote 36 bytes
       "  component_getDescriptionFunc+0x483"
 11233 soffice.bin RET   write 36/0x24
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x19)
 11233 soffice.bin GIO   fd 46 wrote 25 bytes
       "  [libgcc3_uno.so+0x49c1]"
 11233 soffice.bin RET   write 25/0x19
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0x2749"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x19)
 11233 soffice.bin GIO   fd 46 wrote 25 bytes
       "  [libgcc3_uno.so+0x5141]"
 11233 soffice.bin RET   write 25/0x19
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0x2ec9"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x19)
 11233 soffice.bin GIO   fd 46 wrote 25 bytes
       "  [libgcc3_uno.so+0x5e56]"
 11233 soffice.bin RET   write 25/0x19
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0x3bde"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1b)
 11233 soffice.bin GIO   fd 46 wrote 27 bytes
       "  [libdbu680fi.so+0x248452]"
 11233 soffice.bin RET   write 27/0x1b
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1e)
 11233 soffice.bin GIO   fd 46 wrote 30 bytes
       "  component_writeInfo+0x10546e"
 11233 soffice.bin RET   write 30/0x1e
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1b)
 11233 soffice.bin GIO   fd 46 wrote 27 bytes
       "  [libdbu680fi.so+0x1fddb9]"
 11233 soffice.bin RET   write 27/0x1b
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1d)
 11233 soffice.bin GIO   fd 46 wrote 29 bytes
       "  component_writeInfo+0xbadd5"
 11233 soffice.bin RET   write 29/0x1d
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1b)
 11233 soffice.bin GIO   fd 46 wrote 27 bytes
       "  [libdbu680fi.so+0x249a9d]"
 11233 soffice.bin RET   write 27/0x1b
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1e)
 11233 soffice.bin GIO   fd 46 wrote 30 bytes
       "  component_writeInfo+0x106ab9"
 11233 soffice.bin RET   write 30/0x1e
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x26)
 11233 soffice.bin GIO   fd 46 wrote 38 bytes
       "  [libuno_cppuhelpergcc3.so.3+0x1ceaa]"
 11233 soffice.bin RET   write 38/0x26
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x36)
 11233 soffice.bin GIO   fd 46 wrote 54 bytes
       "  _ZN4cppu27WeakComponentImplHelperBase7disposeEv+0x8a"
 11233 soffice.bin RET   write 54/0x36
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1a)
 11233 soffice.bin GIO   fd 46 wrote 26 bytes
       "  [libdbu680fi.so+0x82d47]"
 11233 soffice.bin RET   write 26/0x1a
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0xa557"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1a)
 11233 soffice.bin GIO   fd 46 wrote 26 bytes
       "  [libfwk680fi.so+0x61131]"
 11233 soffice.bin RET   write 26/0x1a
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0xa)
 11233 soffice.bin GIO   fd 46 wrote 10 bytes
       "  +0x287b5"
 11233 soffice.bin RET   write 10/0xa
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1a)
 11233 soffice.bin GIO   fd 46 wrote 26 bytes
       "  [libfwk680fi.so+0x60a5b]"
 11233 soffice.bin RET   write 26/0x1a
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0xa)
 11233 soffice.bin GIO   fd 46 wrote 10 bytes
       "  +0x280df"
 11233 soffice.bin RET   write 10/0xa
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1a)
 11233 soffice.bin GIO   fd 46 wrote 26 bytes
       "  [libfwk680fi.so+0x8b2d2]"
 11233 soffice.bin RET   write 26/0x1a
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1d)
 11233 soffice.bin GIO   fd 46 wrote 29 bytes
       "  component_getFactory+0x3164"
 11233 soffice.bin RET   write 29/0x1d
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1a)
 11233 soffice.bin GIO   fd 46 wrote 26 bytes
       "  [libfwk680fi.so+0x8d2a1]"
 11233 soffice.bin RET   write 26/0x1a
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1d)
 11233 soffice.bin GIO   fd 46 wrote 29 bytes
       "  component_getFactory+0x5133"
 11233 soffice.bin RET   write 29/0x1d
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1a)
 11233 soffice.bin GIO   fd 46 wrote 26 bytes
       "  [libfwk680fi.so+0x8d592]"
 11233 soffice.bin RET   write 26/0x1a
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1d)
 11233 soffice.bin GIO   fd 46 wrote 29 bytes
       "  component_getFactory+0x5424"
 11233 soffice.bin RET   write 29/0x1d
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1b)
 11233 soffice.bin GIO   fd 46 wrote 27 bytes
       "  [libvcl680fi.so+0x293f1f]"
 11233 soffice.bin RET   write 27/0x1b
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x30)
 11233 soffice.bin GIO   fd 46 wrote 48 bytes
       "  _ZN3vcl11EventPoster4PostEPNS_9UserEventE+0x57"
 11233 soffice.bin RET   write 48/0x30
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1b)
 11233 soffice.bin GIO   fd 46 wrote 27 bytes
       "  [libvcl680fi.so+0x2440cd]"
 11233 soffice.bin RET   write 27/0x1b
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x2d)
 11233 soffice.bin GIO   fd 46 wrote 45 bytes
       "  _ZN6Window16AddEventListenerERK4Link+0x3825"
 11233 soffice.bin RET   write 45/0x2d
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x22)
 11233 soffice.bin GIO   fd 46 wrote 34 bytes
       "  [libvclplug_gen680fi.so+0x4aea6]"
 11233 soffice.bin RET   write 34/0x22
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x2f)
 11233 soffice.bin GIO   fd 46 wrote 47 bytes
       "  _ZN10SalDisplay21DispatchInternalEventEv+0xb6"
 11233 soffice.bin RET   write 47/0x2f
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x22)
 11233 soffice.bin GIO   fd 46 wrote 34 bytes
       "  [libvclplug_gtk680fi.so+0x179c1]"
 11233 soffice.bin RET   write 34/0x22
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0x18e1"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x22)
 11233 soffice.bin GIO   fd 46 wrote 34 bytes
       "  [libvclplug_gtk680fi.so+0x179eb]"
 11233 soffice.bin RET   write 34/0x22
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x9)
 11233 soffice.bin GIO   fd 46 wrote 9 bytes
       "  +0x190b"
 11233 soffice.bin RET   write 9
 11233 soffice.bin CALL  write(0x2e,0x2f0d3bb5,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "
       "
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0x2f0f3b1e,0x1)
 11233 soffice.bin GIO   fd 46 wrote 1 byte
       "C"
 11233 soffice.bin RET   write 1
 11233 soffice.bin CALL  write(0x2e,0xbfbfbc90,0x1c)
 11233 soffice.bin GIO   fd 46 wrote 28 bytes
       "  [libglib-2.0.so.0+0x2da1c]"
 11233 
Comment 1 Edwin Groothuis freebsd_committer 2006-12-24 10:18:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2007-04-01 12:33:25 UTC
State Changed
From-To: open->feedback

Does this problem still recur with the latest openoffice?
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2007-06-06 22:54:27 UTC
State Changed
From-To: feedback->open

From misfiled PR ports/113405: 

Date: Wed, 06 Jun 2007 04:07:48 -0500 
Comment 4 Marcin CieĊ›lak 2008-01-14 23:59:58 UTC
I get the same problem with 2.3.1 running on amd64 7.0-PRERELEASE.



Stack: [0x00007fffffc00000,0x0000800000000000),  sp=0x00007fffffffbf90,
 free space=4079k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code,
C=native code)
C  [libz.so.4+0x9480]  deflateParams+0x89c

[error occurred during error reporting, step 120, id 0xb]

Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  java.util.zip.Deflater.deflateBytes([BII)I+0
j  java.util.zip.Deflater.deflate([BII)I+40
j  java.util.zip.DeflaterOutputStream.deflate()V+14
j  java.util.zip.DeflaterOutputStream.finish()V+28
j
org.hsqldb.lib.ZipUnzipFile.compressFile(Ljava/lang/String;Ljava/lang/String;Lorg/hsqldb/lib/FileAccess;)V+110
j  org.hsqldb.persist.DataFileCache.backup()V+33

-- 
              << Marcin Cieslak // saper@saper.info >>
Comment 5 Marcin Cieslak 2008-01-15 00:06:10 UTC
Sorry I this was 2.3.0, not 2.3.1.

Same affect when using jdk1.6.0 (both 1.5 and 1.6 compiled from ports)


-- 
              << Marcin Cieslak // saper@system.pl >>
Comment 6 Marcin Cieslak 2008-01-16 02:56:50 UTC
I have analysed this and I think I know what happens.

Before I will prepare a real fix the workaround is to ask OpenOffice to
use system libz.so.

I think adding "--with-system-zlib" in the Makefile CONFIGURE_ARGS will do.

Unfortunately, one has to fully recompile the OpenOffice after changing
this.

This bug has been reported upstream already:

http://www.openoffice.org/issues/show_bug.cgi?id=85124

Can anybody test whether using system zlib fixes this problem?

-- 
              << Marcin Cieslak // saper@system.pl >>
Comment 7 User1001 2008-01-21 04:25:41 UTC
I have tested OObase-2.3.1 "--with-system-zlib" and so far - creating
the DB and exiting OObase is working just fine. I am able to reopen the
DB with the previously entered data still there (ie; it was successfully
saved). I have not done an exhaustive test, and have yet to verify
OObase-2.3.1 WITHOUT "--with-system-zlib", to confirm that the basic
"base crash" still exists. I will try that later on another FBSD system
with OO-2.3.1.
Comment 8 User1001 2008-01-21 15:21:43 UTC
I have tested OObase-2.3.1 WITHOUT "--with-system-zlib" and it DOES
still crash after creating a simple DB and clicking on the close widget
to the table creation 'form'. So the use of "--with-system-zlib" appears
to at least allow OObase to close its H... (whatever) databases properly.
Comment 9 dfilter service freebsd_committer 2008-04-02 01:48:11 UTC
maho        2008-04-02 00:48:06 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-2 Makefile 
    editors/openoffice.org-2/files Makefile.knobs 
    editors/openoffice.org-2-RC Makefile 
    editors/openoffice.org-2-RC/files Makefile.knobs 
    editors/openoffice.org-2-devel Makefile 
    editors/openoffice.org-2-devel/files Makefile.knobs 
    editors/openoffice.org-3-devel Makefile 
    editors/openoffice.org-3-devel/files Makefile.knobs 
  Log:
  1. Adding --with-system-zlib. Base crashes because of broken zlib integration.
     Bump portrevision for openoffice.org-2 port, accordingly.
  
  2. WITH_DEBUG now implies  --enable-debug --enable-symbols=TRUE --enable-dbgutil
  
  http://www.freebsd.org/cgi/query-pr.cgi?pr=107167
  http://www.openoffice.org/issues/show_bug.cgi?id=85124
  http://thread.gmane.org/gmane.os.freebsd.devel.openoffice/1700/focus=1707
  
  3. Remove CODELINE. Not used anymore.
  
  Thanks for investigations and suggestions:
  Marcin Cieslak <saper@system.pl>.
  
  PR:             107167
  Submitted by:   User1001 [1]
  
  Revision  Changes    Path
  1.327     +1 -2      ports/editors/openoffice.org-2-RC/Makefile
  1.47      +4 -10     ports/editors/openoffice.org-2-RC/files/Makefile.knobs
  1.355     +1 -2      ports/editors/openoffice.org-2-devel/Makefile
  1.47      +4 -10     ports/editors/openoffice.org-2-devel/files/Makefile.knobs
  1.296     +2 -1      ports/editors/openoffice.org-2/Makefile
  1.47      +4 -10     ports/editors/openoffice.org-2/files/Makefile.knobs
  1.361     +1 -1      ports/editors/openoffice.org-3-devel/Makefile
  1.48      +4 -10     ports/editors/openoffice.org-3-devel/files/Makefile.knobs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Maho Nakata freebsd_committer 2008-04-02 01:48:16 UTC
State Changed
From-To: open->closed

Committed, thanks!